MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024853Open CASCADE[OCCT] OCCT:Codingpublic2014-04-17 10:242014-05-05 13:39
Reporterski 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024853: CLang warnings -Wunused-const-variable
DescriptionCLang on Mac OS X 10.9 reports multiple warnings -Wunused-const-variable which in most cases indicate wrong code:
AIS_Dimension.cxx:83:35: warning: unused variable 'THE_FILL_CHARACTER' [-Wunused-const-variable]
OpenGl_Clipping.cxx:22:25: warning: unused variable 'OpenGl_DefaultPlaneEq' [-Wunused-const-variable]
OpenGl_Context.cxx:66:25: warning: unused variable 'OpenGl_DefaultPlaneEq' [-Wunused-const-variable]
NIS_TriangulatedDrawer.cxx:81:31: warning: unused variable 'nObjPerDrawer' [-Wunused-const-variable]
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028926)
ski (developer)
2014-04-17 13:42

Unused variables were removed.
Changes are located in branch CR24853.
Please, review.
(0028941)
abv (manager)
2014-04-17 16:42

No remarks, please test
(0029023)
mkv (tester)
2014-04-22 20:04

Dear BugMaster,

Branch CR24853 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 650810a8052b513c7db40fdd2756083f13d6261e

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 406 (410 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 355720308 / 355835048
Total CPU difference: 64746.87999999984 / 55266.74999999974

Testing on Windows:
Total MEMORY difference: 379177604 / 381847264
Total CPU difference: 35778.546875 / 43088.34375

There are no differences in images found by testdiff.

- Related Changesets
occt: master 53ca691b
Timestamp: 2014-04-17 09:41:11
Author: abv
Committer: abv
Details ] Diff ]
0024853: CLang warnings -Wunused-const-variable

Unused variables were removed.
mod - src/AIS/AIS_Dimension.cxx Diff ] File ]
mod - src/NIS/NIS_TriangulatedDrawer.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Clipping.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Context.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-17 10:24 ski New Issue
2014-04-17 10:24 ski Assigned To => ski
2014-04-17 10:24 ski Status new => assigned
2014-04-17 13:42 ski Note Added: 0028926
2014-04-17 13:42 ski Assigned To ski => abv
2014-04-17 13:42 ski Status assigned => resolved
2014-04-17 16:42 abv Note Added: 0028941
2014-04-17 16:42 abv Assigned To abv => bugmaster
2014-04-17 16:42 abv Status resolved => reviewed
2014-04-18 17:15 mkv Assigned To bugmaster => mkv
2014-04-21 20:21 mkv Note Added: 0028997
2014-04-21 20:22 mkv Note Deleted: 0028997
2014-04-22 20:04 mkv Note Added: 0029023
2014-04-22 20:04 mkv Test case number => Not needed
2014-04-22 20:04 mkv Assigned To mkv => bugmaster
2014-04-22 20:04 mkv Status reviewed => tested
2014-04-23 15:49 abv Target Version => 6.7.1
2014-04-28 10:27 abv Changeset attached => occt master 53ca691b
2014-04-28 10:27 abv Assigned To bugmaster => abv
2014-04-28 10:27 abv Status tested => verified
2014-04-28 10:27 abv Resolution open => fixed
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker